Subject: bug#75520: Circular code or data can hang Emacs unquittably

From: Paul Eggert <[email-masked]>
Date: Sun, 12 Jan 2025 11:12:59 -0800

On 2025-01-12 10:43, Eli Zaretskii wrote:
>> Date: Sun, 12 Jan 2025 17:08:24 +0000
>> From:  Pip Cet via "Bug reports for GNU Emacs,

>> There are similar issues with circular data: if Lisp code turns
>> process-environment into a circular structure, for example, call_process
>> will hang Emacs.  If this should be fixed, please let me know so I can
>> create a separate bug report and look for similar issues.
> 
> Thanks, let's hear what others (CC'ed) think about this.

I'd like the process-environment bug fixed too. The bug should be easy 
to fix, and an unquittable Emacs is a real pain for all concerned.